.\" fwd.man
.\" common text describing sratool, sratunnel, and radtunnel output specs
.\" use .ds CT to set that string to either "" or "Op Ar count"
.\"
.Bl -tag -width 4n
.It Xo
.Sm off
.Cm nmsg:
.Op Cm tcp: Ns | Ns Cm udp:
.Ar host,port
.Sm on \*(CT
.Xc
sends NMSG messages to the UDP or optional TCP
host name and port number
.Ar host,port .
UDP is the default.
IP packets are converted to NMSG messages.
.It Xo
.Sm off
.Cm nmsg:file:
.Ar path
.Sm on \*(CT
.Xc
sends NMSG messages to the file named 
.Ar path .
IP packets are converted to NMSG messages.
.It Xo
.Sm off
.Cm pcap
.Op Cm -fifo :
.Ar path
.Sm on \*(CT
.Xc
sends IP packets to a file or FIFO named 
.Ar path
for examination with
.Xr tcpdump 1
or another packet tracing tool.
An ordinary file is the default.
Only IP packets but not NMSG messages are sent.
.It Xo
.Sm off
.Cm pcap-if:
.Op Ar dst /
.Ar ifname
.Sm on \*(CT
.Xc
transmits IP packets on the network interface named
.Ar ifname
for examination with
.Xr tcpdump 1
or another packet tracing tool.
.Ar dst
optionally specifies a destination 48-bit Ethernet address other
than all 0:0:0:0:0:0 default.
This output usually requires that
.Nm
be run by root.
Only IP packets but not NMSG messages are sent.
.El
.\" end of fwd.man
